{******************************************************************************
               RCG Constants
*******************************************************************************}
Const
   RCG_DATA_VER = 101;

   RCG_MAX_WIDTH = 300;
   RCG_MAX_TAB_STOPS = 20;
   CELL_MARGIN = 60;

   RCG_HDR = 1;
   RCG_FHDR = 2;
   RCG_LHDR = 3;
   RCG_RHDR = 4;
   RCG_FTR = 5;
   RCG_FFTR = 6;
   RCG_LFTR = 7;
   RCG_RFTR = 8;

   RCG_ULINE = $1;
   RCG_BOLD = $2;
   RCG_ITALIC = $4;
   RCG_STRIKE = $8;
   RCG_SUPSCR = $10;
   RCG_SUBSCR = $20;
   RCG_HIDDEN = $40;
   RCG_PICT = $80;
   RCG_ULINED = $100;
   RCG_PROTECT = $200;
   RCG_FNOTE = $400;
   RCG_FNOTETEXT = $800;
   RCG_FNORCGEST = $1000;
   RCG_CHAR_BOX = $2000;
   RCG_HLINK = $4000;
   RCG_CAPS  = $10000;
   RCG_SCAPS = $20000;

   RCG_CENTER = $1;
   RCG_RIGHT = $2;
   RCG_DOUBLE_SPACE = $4;
   RCG_BULLET = $8;
   RCG_BOX_TOP = $10;
   RCG_BOX_BOT = $20;
   RCG_BOX_LEFT = $40;
   RCG_BOX_RIGHT = $80;
   RCG_BOX_DOUBLE = $100;
   RCG_BOX_THICK = $200;
   RCG_BOX_ATTRIB = $3F0;
   RCG_LEFT = $400;
   RCG_JUSTIFY = $800;
   RCG_PAGE_HDR = $1000;
   RCG_PAGE_FTR = $2000;
   RCG_PAGE_HDR_FTR = $3000;
   RCG_PARA_KEEP = $4000;
   RCG_PARA_KEEP_NEXT = $8000;
   RCG_PARA_WIDOW = $10000;

   RCG_PARA_BOX = $F0;

   RCG_VALIGN_TOP = 0;
   RCG_VALIGN_CTR = 1;
   RCG_VALIGN_BOT = 2;

   RCG_MRG_COL_FIRST = $1;
   RCG_MRG_COL = $2;
   RCG_MRG_ROW_FIRST = $4;
   RCG_MRG_ROW = $8;

   RCG_BREAK_SECT = 0;
   RCG_BREAK_COL = 1;
   RCG_BREAK_PAGE = 2;

   TAB_LEFT = 0;
   TAB_RIGHT = 1;
   TAB_CENTER = 2;
   TAB_DECIMAL = 3;

   TAB_NONE = 0;
   TAB_DOT = 1;
   TAB_HYPH = 2;
   TAB_ULINE = 4;

   ALIGN_BOT = 0;
   ALIGN_MIDDLE = 1;
   ALIGN_TOP = 2;

   PFRAME_NONE = 0;
   PFRAME_LEFT = 1;
   PFRAME_RIGHT = 2;
   PFRAME_FLOAT = 3;

   DOB_TEXT_BOX = 1;
   DOB_RECT = 2;
   DOB_LINE = 3;

   DOB_LINE_NONE = 0;
   DOB_LINE_SOLID = 1;
   DOB_LINE_DOTTED = 2;

   SSTYPE_CHAR = 1;
   SSTYPE_PARA = 2;

   BASE_PAGE = 0;
   BASE_MARG = 1;
   BASE_PARA = 2;

   RFLAG_RETURN_MSG_ID = $1;
   RFLAG_FIRST_MSG_ONLY = $2;

   BLT_ROUND = 0;
   BLT_DIAMOND = 1;
   BLT_SQUARE = 2;
   BLT_HOLLOW_SQUARE = 3;
   BLT_4_DIAMONDS = 4;
   BLT_ARROW = 5;
   BLT_CHECK = 6;

   BLTFLAG_HIDDEN = $1;

   NBR_DEC = 0;
   NBR_UPR_ALPHA = 1;
   NBR_LWR_ALPHA = 2;

   PID_LINE = 0;
   PID_PARA = 1;
   PID_BULLET = 2;

   RCG_FILE = 1;
   RCG_BUF = 2;

{******************************************************************************
   Message ids
*******************************************************************************}
   RMSG_NO_ERROR = 0;
   RMSG_BAD_BMP_FILE = 1;
   RMSG_CREATE_NEW_FILE = 2;
   RMSG_ERR_DIB_CREATE = 3;
   RMSG_ERR_FILE_LENGTH = 4;
   RMSG_ERR_FILE_OPEN = 5;
   RMSG_ERR_FILE_READ = 6;
   RMSG_ERR_FILE_SEEK = 7;
   RMSG_ERR_FILE_WRITE = 8;
   RMSG_ERR_FONT_CREATE = 9;
   RMSG_ERR_FONT_SELECT = 10;
   RMSG_ERR_INIT_BMP = 11;
   RMSG_ERR_MEM_LOCK = 12;
   RMSG_ERR_META_ACCESS = 13;
   RMSG_ERR_META_BAD_FILE = 14;
   RMSG_ERR_META_COPY = 15;
   RMSG_ERR_META_CREATE = 16;
   RMSG_ERR_META_READ = 17;
   RMSG_ERR_META_RECREATE = 18;
   RMSG_ERR_PICT_FILE_FMT = 19;
   RMSG_ERR_PICT_FILE_OPEN = 20;
   RMSG_ERR_PICT_FILE_READ = 21;
   RMSG_LINE_TOO_LONG = 22;
   RMSG_OUT_OF_MEM = 23;
   RMSG_READ_ABORTED = 24;
   RMSG_REPLACE_STRING = 25;
   RMSG_SAVE_INCOMPL = 26;
   RMSG_UNEXPECTED_EOF = 27;
   RMSG_ERR_FILE_ACCESS = 28;
   RMSG_ERR_ENH_META_HDR = 29;
   RMSG_GET_ENH_META = 30;
   RMSG_IN_INIT_SECT = 31;
   RMSG_NOT_IN_INIT_SECT = 32;
   RMSG_IN_TEXT = 33;
   RMSG_NOT_IN_TEXT = 34;
   RMSG_IN_SSITEM = 35;
   RMSG_NOT_IN_SSITEM = 36;
   RMSG_IN_SS = 37;
   RMSG_NOT_IN_SS = 38;
   RMSG_IN_TABLE = 39;
   RMSG_NOT_IN_TABLE = 40;
   RMSG_IN_FRAME = 41;
   RMSG_NOT_IN_FRAME = 42;
   RMSG_IN_TEXT_BOX = 43;
   RMSG_NOT_IN_TEXT_BOX = 44;
   RMSG_IN_HDR_FTR = 45;
   RMSG_NOT_IN_HDR_FTR = 46;

   RMSG_BAD_SEQ = 47;
   RMSG_TEMP = 48;

   RMSG_IN_CELL_TEXT = 49;
   RMSG_NOT_IN_CELL_TEXT = 50;

   RMSG_CELLX_MISSING = 51;
   RMSG_NO_MORE_CELLX = 52;
   RMSG_NO_CELLS = 53;
   RMSG_LESS_CELLS = 54;

   RMSG_CLIPBOARD_BUSY      = 55;
   RMSG_CLIPBOARD_NO_DATA   = 56;
   RMSG_CLIPBOARD_NO_FMT    = 57;

